Package org.gradle.language.base.plugins

# Class LanguageBasePlugin

java.lang.Object
org.gradle.language.base.plugins.LanguageBasePlugin

All Implemented Interfaces:
  `Plugin<Project>`

@Incubating public abstract class LanguageBasePlugin extends Object implements Plugin<Project>
Base plugin for language support. - Adds a `ProjectSourceSet` named `sources` to the project. - Registers the base `LanguageSourceSet` type.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LanguageBasePlugin()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `apply(Project project)`
  Apply this plugin to the given target object.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LanguageBasePlugin

    public LanguageBasePlugin()

- ## Method Details

  - ### apply

    public void apply(Project project)
    Description copied from interface: `Plugin`
    Apply this plugin to the given target object.
    Specified by:
      `apply` in interface `Plugin<Project>`
    Parameters:
      `project` - The target object